const AMPLITUDE_API_KEY = '476d446d2d57aa9a7764732a26466a97';

chrome.storage.local.get(['lingvanex_uuid','id','email','userLogged','username','voiceGender',
        'allowSentenceAuto','allowWordAuto','showTranslateIcon','showSpeakIcon','speedOfText', 'langDst', 'langSrc'],
    function (congig)
    {
        let instance = amplitude.getInstance();
        instance.init(AMPLITUDE_API_KEY);
        instance.setUserId(congig.lingvanex_uuid);
        instance.setUserProperties({
            'user_id': congig.lingvanex_uuid,
            'lingvanex_id': congig.id,
            'email': congig.email,
            'voice_gender': congig.voiceGender,
            'voice_speed': congig.voice_speed,
            'auto_translate_words': congig.allowWordAuto,
            'auto_translate_sentence': congig.allowSentenceAuto,
            'show_translate_icon': congig.showTranslateIcon,
            'show_speak_icon': congig.showSpeakIcon,
            'lang_src': congig.langSrc,
            'lang_dst': congig.langDst,
        });
    });


function amplitudeTrackEvent(category, action, properties){
    amplitude.getInstance().logEvent(category + " - " + action, properties);
}

function analyticsTrackEvent(category, action, properties) {
    if (debug) {
        console.info(`Event: "${category}" "${action}"`);
        if (properties)
            console.table(properties);
    }

    chrome.storage.local.get(['analyticsEnabled'], function (config) {
        if (config.analyticsEnabled) {
            amplitudeTrackEvent(category, action, properties);
            piwikTrackEvent(category, action, properties);
        } else {
            console.warn('Analytics is disabled. Please allow Lingvanex to collect usage analytics!')
        }
    });
}